Bug 2940 - rpc_server/srv_svcctl_nt.c: "scm_info" is set but never used
rpc_server/srv_svcctl_nt.c: "scm_info" is set but never used
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20
SGI IRIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 12:16 UTC by Jason Mader
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-08-01 12:16:56 UTC
cc-1552 cc: WARNING File = rpc_server/srv_svcctl_nt.c, Line = 256
  The variable "scm_info" is set but never used.

        SERVICE_INFO *scm_info;
                      ^
Comment 1 Jason Mader 2005-08-01 12:20:23 UTC
How "SERVICE_INFO *scm_info" is used on Line 265 in _svcctl_open_service() is very different than how it is 
used on Line 777 in _svcctl_query_service_config2().
Comment 2 Tim Potter 2005-08-02 13:19:33 UTC
Fixed - thanks.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:07 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.